<%
   object_id = params['id']
   component_id = params['cmp']
   prefix = (component_id != '0') ? "component_#{component_id}_" : ''
   field_data = @document["#{prefix}files_tesim"]
   wowza_url = grabWowzaURL(field_data, object_id, component_id)
   embed_file_type = field_data[0].to_s
%>

<% if embed_file_type.include?("image-") %>
<%
  display_file = grabServiceFile
  display_file_path = (display_file != 'no_display') ? file_path(object_id,"_#{display_file}") : ''
%>
  <%= image_tag(display_file_path, :alt => '') %>
<% elsif wowza_url != nil%>
  <video controls="controls" id="dams-video">Loading the player...</video>

  <script type="text/javascript">
	  jwplayer("dams-video").setup({
		  playlist:
				  [{
					  sources:
							  [
								  {file: "https://<%=wowza_url%>/playlist.m3u8"},
								  {file: "https://<%=wowza_url%>/manifest.mpd"}
							  ]
				  }],
		  width: "100%",
		  aspectratio: "16:9",
		  rtmp: {bufferlength: 3},
		  analytics: {enabled: false}
	  });
    <% if embed_file_type.include?("audio-") %>
      jwplayer().on('ready', function() {
        resize('dams-video');
        window.onresize = function() {
          resize('dams-video');
        };    
      });
      function resize(id) {
        let newWidth = 0.94;
        let parent = document.getElementById(id).parentElement;
        let currentWidth = parent.offsetWidth;
        jwplayer(id).resize(currentWidth * newWidth, 40);
      }
    <% end %>
  </script>

<% end %>
